ur_rna.StructureEditor.services

## Class RnaDrawController.MouseHandler

- java.lang.Object
- - ur_rna.Utilities.swing.InputAdapter.Mouse
  - - ur_rna.StructureEditor.services.RnaDrawController.MouseHandler

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener
  Enclosing class:
    RnaDrawController

      private class RnaDrawController.MouseHandler
      extends InputAdapter.Mouse

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.awt.Point` | `curPos`
    `(package private) Nuc` | `deselectNuc`
    `(package private) static int` | `DRAGGING`
    `(package private) boolean` | `dragIsValid`
    `(package private) java.lang.Object` | `dragObject`
    `(package private) static int` | `EDITING`
    `(package private) Nuc` | `hoverNuc`
    `(package private) static int` | `minDragDistSq`
    `(package private) int` | `prevModifiers`
    `(package private) java.awt.Point` | `prevPos`
    `(package private) static int` | `SELECTING`
    `(package private) java.awt.Point` | `startPos`
    `(package private) int` | `state`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `MouseHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `completeAction(int mod)`
    `protected void` | `onMouseInput(InputAdapter.InputType type, java.awt.event.MouseEvent e)` Respond to mouse input.
    `(package private) void` | `storeMouse(java.awt.event.MouseEvent e)`
    `(package private) void` | `updateMousePos(java.awt.event.MouseEvent e)`

    - ### Methods inherited from class ur_rna.Utilities.swing.InputAdapter.Mouse

      `listen, listen, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### curPos

          java.awt.Point curPos

    - #### deselectNuc

          Nuc deselectNuc

    - #### DRAGGING

          static final int DRAGGING

      See Also:
        Constant Field Values

    - #### dragIsValid

          boolean dragIsValid

    - #### dragObject

          java.lang.Object dragObject

    - #### EDITING

          static final int EDITING

      See Also:
        Constant Field Values

    - #### hoverNuc

          Nuc hoverNuc

    - #### minDragDistSq

          static final int minDragDistSq

      See Also:
        Constant Field Values

    - #### prevModifiers

          int prevModifiers

    - #### prevPos

          java.awt.Point prevPos

    - #### SELECTING

          static final int SELECTING

      See Also:
        Constant Field Values

    - #### startPos

          java.awt.Point startPos

    - #### state

          int state

  - ### Constructor Detail

    - #### MouseHandler

          private MouseHandler()

  - ### Method Detail

    - #### completeAction

          private void completeAction(int mod)

    - #### onMouseInput

          protected void onMouseInput(InputAdapter.InputType type,
                                      java.awt.event.MouseEvent e)

      Respond to mouse input.
      Specified by:
        `onMouseInput` in class `InputAdapter.Mouse`
      Parameters:
        `type` - The type of mouse input (e.g. click, move, etc)
        `e` - A MouseEvent with additional information about the event.

    - #### storeMouse

          void storeMouse(java.awt.event.MouseEvent e)

    - #### updateMousePos

          void updateMousePos(java.awt.event.MouseEvent e)